%define oname ardour2

Summary:	Professional multitrack audio recording application
Name:		ardour
Version:	2.8.16
Release:	%mkrel 3
Epoch:		1
Group:		Sound/Editors and Converters
License:	GPLv2+
URL:		http://ardour.org/
# since 2.8.2 there is no direct link :(
Source0:	ardour-%{version}.tar.bz2
Patch0:		ardour-2.8.2-disable-fdo-actions.patch

BuildRequires:	dmalloc
BuildRequires:	pkgconfig(libcurl) >= 7.0.0
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	gettext >= 0.11.5
BuildRequires:	gtk2-devel >= 2.8
BuildRequires:	gtkmm2.4-devel >= 2.10.8
BuildRequires:	jackit-devel >= 0.100
BuildRequires:	pkgconfig(alsa)
BuildRequires:	libart_lgpl-devel >= 2.3.16
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(flac) >= 1.2.1
BuildRequires:	pkgconfig(glib-2.0) >= 2.10
BuildRequires:	pkgconfig(libgnomecanvas-2.0)
BuildRequires:	pkgconfig(libgnomecanvasmm-2.6)
BuildRequires:	pkgconfig(liblo) >= 0.24
BuildRequires:	pkgconfig(lrdf) >= 0.4.0
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(sndfile) >= 1.0.18
BuildRequires:	libtool
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	libxml2-devel >= 2.5.0
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(raptor2)
BuildRequires:	scons >= 0.96
BuildRequires:	pkgconfig(lilv-0) >= 0.14
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(lv2) >= 1.0.15
BuildRequires:	pkgconfig(vamp-sdk)
BuildRequires:	pkgconfig(rubberband)
BuildRequires:	pkgconfig(aubio) >= 0.3.2
BuildRequires:	xdg-utils
BuildRequires:	shared-mime-info
BuildRequires:	pkgconfig(cwiid)
BuildRequires:	pkgconfig(redland)
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(serd-0) >= 0.14.0
BuildRequires:	pkgconfig(sord-0) >= 0.8.0
BuildRequires:	pkgconfig(sratom-0) >= 0.4.0
BuildRequires:	pkgconfig(suil-0) >= 0.6.0

Requires:	jackit >= 0.100

%description
Ardour is a digital audio workstation.You can use it to record, edit and mix
multi-track audio. You can produce your own CDs, mix video soundtracks, or just
experiment with new ideas about music and sound.

Ardour capabilities include: multichannel recording, non-destructive editing
with unlimited undo/redo, full automation support, a powerful mixer, unlimited
tracks/buses/plugins, timecode synchronization, and hardware control from
surfaces like the Mackie Control Universal. If you've been looking for a tool
similar to ProTools, Nuendo, Pyramix, or Sequoia, you might have found it.

An ALSA sound driver is preferred when using Ardour.

See the online user manual at http://en.flossmanuals.net/ardour/


%prep
%setup -q
%patch0 -p0

%build
#(tpg) disable strange optimisations, like SSE
%ifarch %{ix86}
TARGETCPU="i686"
ARCHFLAGS="-DARCH_X86"
%endif
%ifarch x86_64
TARGETCPU="x86_64"
ARCHFLAGS="-DARCH_X86 -DBUILD_SSE_OPTIMIZATIONS -DUSE_X86_64_ASM"
%endif


export LINKFLAGS="%{ldflags}"
%scons \
	PREFIX=%{_prefix} \
	DIST_TARGET="${TARGETCPU}" \
	LINKFLAGS="%{ldflags}" \
	CCFLAGS="%{optflags} -ffast-math" \
	ARCH="${ARCHFLAGS}" \
	FFT_ANALYSIS="1" \
	LIBDIR="%{_libdir}" \
	SYSLIBS="1" \
	SURFACES="1" \
	LIBLO="1" \
	LV2="1" \
	TRANZPORT="1" \
	NLS="1" \
	FREEDESKTOP="1" \
	AUBIO="1" \
	FPU_OPTIMIZATION="1" \
	WIIMOTE="1" \
	FREESOUND="1" \
	AUSTATE="1"

%install
mkdir -p %{buildroot}
scons DESTDIR=%{buildroot} install

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc README PACKAGER_README
%dir %{_sysconfdir}/%{oname}
%dir %{_libdir}/%{oname}
%dir %{_datadir}/%{oname}
%dir %{_datadir}/%{oname}/icons
%dir %{_datadir}/%{oname}/pixmaps
%dir %{_datadir}/%{oname}/templates
%config(noreplace) %{_sysconfdir}/%{oname}/ardour2_ui_dark.rc
%config(noreplace) %{_sysconfdir}/%{oname}/ardour2_ui_default.conf
%config(noreplace) %{_sysconfdir}/%{oname}/ardour2_ui_light.rc
%config(noreplace) %{_sysconfdir}/%{oname}/ardour.menus
%config(noreplace) %{_sysconfdir}/%{oname}/ardour_system.rc
%config(noreplace) %{_sysconfdir}/%{oname}/ergonomic-us.bindings
%config(noreplace) %{_sysconfdir}/%{oname}/mnemonic-us.bindings
%config(noreplace) %{_sysconfdir}/%{oname}/ardour-sae.menus
%config(noreplace) %{_sysconfdir}/%{oname}/SAE-de-keypad.bindings
%config(noreplace) %{_sysconfdir}/%{oname}/SAE-de-nokeypad.bindings
%config(noreplace) %{_sysconfdir}/%{oname}/SAE-us-keypad.bindings
%config(noreplace) %{_sysconfdir}/%{oname}/SAE-us-nokeypad.bindings
%config(noreplace) %{_sysconfdir}/%{oname}/ardour2_ui_dark_sae.rc
%config(noreplace) %{_sysconfdir}/%{oname}/ardour2_ui_light_sae.rc
%{_bindir}/%{oname}
%{_libdir}/%{oname}/*.so
%{_libdir}/%{oname}/ardour-*
%{_libdir}/%{oname}/surfaces/*.so
%{_libdir}/%{oname}/engines/*.so
%{_libdir}/%{oname}/vamp/*.so
%{_datadir}/applications/*.desktop
%{_datadir}/%{oname}/icons/*.png
%{_datadir}/%{oname}/pixmaps/*.xpm
%{_datadir}/%{oname}/*.png
%{_datadir}/%{oname}/templates/*.template
%{_iconsdir}/hicolor/*/*/*.png
%{_datadir}/mime/packages/*.xml


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1:2.8.16-3.mga3
+ Revision: 346015
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 barjac <barjac> 1:2.8.16-2.mga3
+ Revision: 341531
- build with latest version of lv2
- clean spec
- remove useless patch : ardour-2.0.5-fix_compile.patch
- remove useless patch : ardour-2.8.4-gcc43.patch
- clean description
- BR lv2 instead of lv2-core (obsoleted)
- BR lilv instead of slv2 (obsolete)
- add BR serd, sord, sratom, suil, dmalloc
- remove BR soundtouch ... useless now

* Mon Jan 07 2013 dmorgan <dmorgan> 1:2.8.16-1.mga3
+ Revision: 340464
- New version 2.8.16

* Tue Feb 07 2012 zezinho <zezinho> 1:2.8.12-1.mga2
+ Revision: 206169
- new version

  + fwang <fwang>
    - recognize newer soundtouch
    - drop merged patches
    - new version 2.8.12

* Mon Sep 12 2011 fwang <fwang> 1:2.8.11-4.mga2
+ Revision: 142720
- add more include
- support raptor2
- rebuild for new libpng

* Tue Mar 29 2011 stewb <stewb> 1:2.8.11-3.mga1
+ Revision: 78892
- s/Mandriva/Mageia/ in the description

* Tue Mar 29 2011 ennael <ennael> 1:2.8.11-2.mga1
+ Revision: 78702
- clean spec file
- clean spec file
- imported package ardour

